Skip to main content
GET
/
v1
/
users
/
{id}
/
profile
Get a user profile
curl --request GET \
  --url https://api.magne.app/v1/users/{id}/profile \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "username": "<string>",
  "displayName": "<string>",
  "avatarUrl": "<string>",
  "bannerUrl": "<string>",
  "bio": "<string>",
  "status": "<string>",
  "customStatus": "<string>",
  "activeBadgeSlug": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "friendStatus": "<string>",
  "friendSince": "2023-11-07T05:31:56Z",
  "sharedServers": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "iconUrl": "<string>"
    }
  ],
  "badges": [
    {
      "slug": "<string>",
      "name": "<string>",
      "description": "<string>",
      "paintData": {},
      "imageUrl": "<string>",
      "animatedUrl": "<string>",
      "awardedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

Success

id
string<uuid>
username
string
displayName
string
avatarUrl
string | null
bannerUrl
string | null
bio
string | null
status
string
customStatus
string | null
activeBadgeSlug
string | null
createdAt
string<date-time>
friendStatus
string
friendSince
string<date-time> | null
sharedServers
object[]
badges
object[]